﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="igComboSelectionFeatures._Default" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>
        Welcome to ASP.NET!
    </h2>
    <div class="holder">
    <select id="comboTarget">
    <option>Fast Blue Car</option>
    <option>Slow Blue Car</option>
    <option>Fast Blue Truck</option>
    <option>Slow Blue Truck</option>
    <option>Fast Red Car</option>
    <option>Slow Red Car</option>
    <option>Fast Red Truck</option>
    <option>Slow Red Truck</option>
    <option>Fast Green Car</option>
    <option>Slow Green Car</option>
    <option>Fast Green Truck</option>
    <option>Slow Green Truck</option>
    <option>Fast Yellow Car</option>
    <option>Slow Yellow Car</option>
    <option>Fast Yellow Truck</option>
    <option>Slow Yellow Truck</option>
    </select>
    </div>
    <div class="options">
    Highlighting Condition: <select id="matchhighlighting">
    <option value="null">Off</option>
    <option value="multi">Multi</option>
    <option value="contains">Contains</option>
    <option value="startsWith">Starts With</option>
    <option value="full">Full</option>
    </select>
    Auto Complete: <select id="autocomplete">
    <option value="false">Off</option>
    <option value="true">On</option>
    </select>
    Filtering: <select id="filtering">
    <option value="null">Off</option>
    <option value="local">On</option>
    </select>
    <br />
    <input type="button" id="apply"/>
    </div>
    <script type="text/javascript">
        $(document).ready(function () {

            //this is done in such a way in order to convert "true"/"false" ( string ) to true/false ( boolean )
            var autocomplete = $.parseJSON($("#autocomplete").val());
            //and this is done in order to convert "null" ( string ) to null ( object )
            var highlight = ($("#matchhighlighting").val() == "null") ? null : $("#matchhighlighting").val();
            var filter = $("#filtering").val();
            var comboTarget = $("#comboTarget");
            var old_html = comboTarget.html();

            comboTarget.igCombo({
                width: 300,
                multiSelection: 1,
                autoComplete: false,
                renderMatchItems: null,
                enableClearButton: false
            });

            function reinit() {
                $("#comboTarget").igCombo("destroy");
                comboTarget.empty();
                comboTarget.html(old_html);

                comboTarget.igCombo({
                    width: 300,
                    multiSelection: 1,
                    filteringType: filter,
                    renderMatchItems: highlight,
                    autoComplete: autocomplete,
                    enableClearButton: false
                });
            }

            $(".options > select").each(function () {
                $(this).igCombo({
                    width: 100,
                    enableClearButton: false
                });
            });

            $("#apply").igButton({
                labelText: "Apply"
            }).click(function () {
                autocomplete = $.parseJSON($("#autocomplete").val());
                highlight = ($("#matchhighlighting").val() == "null") ? null : $("#matchhighlighting").val();
                filter = $("#filtering").val();
                reinit();
            });
        });
    </script>
</asp:Content>
